#import "FlutterScreenLightPlugin.h"
#import "SGTScreenLightManage.h"
@implementation FlutterScreenLightPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"flutter_screen_light_plugin"
            binaryMessenger:[registrar messenger]];
  FlutterScreenLightPlugin* instance = [[FlutterScreenLightPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else if ([@"setScreenLight" isEqualToString:call.method]) {
    double lightNum=[[[call arguments] objectForKey:@"light"] doubleValue];
    [SGTScreenLightManage setScreenLight:lightNum];
  }else if ([@"getScreenMaxLight" isEqualToString:call.method]) {
    result(@([SGTScreenLightManage getScreenMaxLight]));
  }else if ([@"getCurrentScreenLight" isEqualToString:call.method]) {
    result(@([SGTScreenLightManage getCurrentScreenLight]));
  }else{
    result(FlutterMethodNotImplemented);
  }
}

@end
