
import 'dart:async';
import 'package:flutter/services.dart';

class FlutterScreenLightPlugin {
  static const MethodChannel _channel = MethodChannel('flutter_screen_light_plugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }


  static Future<double> get getCurrentLight async {
    final double  num = await _channel.invokeMethod('getCurrentScreenLight');
    return num;
  }

  static Future<bool> setLight(double ? light) async {
    final bool  num =
    await _channel.invokeMethod('setScreenLight', {"light": light});
    return num;
  }

  static Future<double> get getMaxLight async {
    final double  num =
    await _channel.invokeMethod('getScreenMaxLight');
    return num;
  }

}
